ru.bitel.bgbilling.plugins.bonus.server

## Class BGPluginInfo

- java.lang.Object
- - ru.bitel.bgbilling.plugins.bonus.server.BGPluginInfo

- All Implemented Interfaces:
    EventListener<Event>, ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract

      public class BGPluginInfo
      extends java.lang.Object
      implements ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer, ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract, EventListener<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGPluginInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notify(Event event, EventListenerContext ctx)`
    `void` | `onInitServer(Setup setup)` Вызывается когда стартует сам сервер, в конце его конструктора, после создания сервлетов.
    `void` | `serializeContract(java.sql.Connection con, int cid, javax.xml.stream.XMLStreamWriter writer, boolean onlyCurrent)` серелизация данных о договоре

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGPluginInfo

          public BGPluginInfo()

  - ### Method Detail

    - #### notify

          public void notify(Event event,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### onInitServer

          public void onInitServer(Setup setup)

      Description copied from interface: `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`
      Вызывается когда стартует сам сервер, в конце его конструктора, после создания сервлетов. Ещё: он вызывается у конкретного плагина в нормальном режиме работы, когда мы его активизируем.
      Specified by:
        `onInitServer` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.OnInitServer`

    - #### serializeContract

          public void serializeContract(java.sql.Connection con,
                                        int cid,
                                        javax.xml.stream.XMLStreamWriter writer,
                                        boolean onlyCurrent)
                                 throws java.sql.SQLException,
                                        javax.xml.stream.XMLStreamException

      Description copied from interface: `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
      серелизация данных о договоре
      Specified by:
        `serializeContract` in interface `ru.bitel.bgbilling.kernel.plugin.server.inpoint.SerializeContract`
      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`